<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema
	xmlns="http://www.ote-cr.cz/schema/etso/types/ecan/capacity-v4r0"
	targetNamespace="http://www.ote-cr.cz/schema/etso/types/ecan/capacity-v4r0"
	xmlns:ecc="http://www.ote-cr.cz/schema/etso/types/etso-core-cmpts-v8r0"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema" ecc:VersionRelease="6.0"
	elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import
		namespace="http://www.ote-cr.cz/schema/etso/types/etso-core-cmpts-v8r0"
		schemaLocation="etso-core-cmpts-v8r0.xsd" />
	<xsd:complexType name="Period_Type">
		<xsd:annotation>
			<xsd:documentation></xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>
			<xsd:element name="TimeInterval" type="ecc:TimeIntervalType">
				<xsd:annotation>
					<xsd:documentation></xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="Resolution" type="ecc:ResolutionType">
				<xsd:annotation>
					<xsd:documentation></xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element minOccurs="1" maxOccurs="unbounded" name="Interval"
				type="Interval_Type" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="Interval_Type">
		<xsd:annotation>
			<xsd:documentation></xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>
			<xsd:element name="Pos" type="ecc:PositionType">
				<xsd:annotation>
					<xsd:documentation></xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="Qty" type="ecc:QuantityType">
				<xsd:annotation>
					<xsd:documentation></xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element minOccurs="0" maxOccurs="unbounded" name="Reason"
				type="Reason_Type" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="CapacityTimeSeries_Type">
		<xsd:annotation>
			<xsd:documentation></xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>
			<xsd:element name="TimeSeriesIdentification" type="ecc:IdentificationType">
				<xsd:annotation>
					<xsd:documentation></xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="BusinessType" type="ecc:BusinessType">
				<xsd:annotation>
					<xsd:documentation></xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="Product" type="ecc:EnergyProductType">
				<xsd:annotation>
					<xsd:documentation></xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="InArea" type="ecc:AreaType">
				<xsd:annotation>
					<xsd:documentation></xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="OutArea" type="ecc:AreaType">
				<xsd:annotation>
					<xsd:documentation></xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="MeasureUnit" type="ecc:UnitOfMeasureType">
				<xsd:annotation>
					<xsd:documentation></xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="AuctionIdentification" minOccurs="0"
				maxOccurs="1" type="ecc:IdentificationType">
				<xsd:annotation>
					<xsd:documentation></xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element minOccurs="1" maxOccurs="unbounded" name="Period"
				type="Period_Type" />
		</xsd:sequence>
	</xsd:complexType>
	<xsd:element name="CapacityDocument">
		<xsd:complexType>
			<xsd:annotation>
				<xsd:documentation></xsd:documentation>
			</xsd:annotation>
			<xsd:sequence>
				<xsd:element name="DocumentIdentification" type="ecc:IdentificationType">
					<xsd:annotation>
						<xsd:documentation></xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="DocumentVersion" type="ecc:VersionType">
					<xsd:annotation>
						<xsd:documentation></xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="DocumentType" type="ecc:MessageType">
					<xsd:annotation>
						<xsd:documentation></xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ProcessType" type="ecc:ProcessType">
					<xsd:annotation>
						<xsd:documentation></xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="SenderIdentification" type="ecc:PartyType">
					<xsd:annotation>
						<xsd:documentation></xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="SenderRole" type="ecc:RoleType">
					<xsd:annotation>
						<xsd:documentation></xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ecc:PartyType">
					<xsd:annotation>
						<xsd:documentation></xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverRole" type="ecc:RoleType">
					<xsd:annotation>
						<xsd:documentation></xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="CreationDateTime" type="ecc:MessageDateTimeType">
					<xsd:annotation>
						<xsd:documentation></xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="CapacityTimeInterval" type="ecc:TimeIntervalType">
					<xsd:annotation>
						<xsd:documentation></xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Domain" type="ecc:AreaType">
					<xsd:annotation>
						<xsd:documentation></xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element minOccurs="0" maxOccurs="unbounded"
					name="CapacityTimeSeries" type="CapacityTimeSeries_Type" />
				<xsd:element minOccurs="0" maxOccurs="unbounded" name="Reason"
					type="Reason_Type" />
			</xsd:sequence>
			<xsd:attribute name="DtdVersion" type="xsd:string" use="required" />
			<xsd:attribute name="DtdRelease" type="xsd:string" use="required" />
		</xsd:complexType>
	</xsd:element>
	<xsd:complexType name="Reason_Type">
		<xsd:annotation>
			<xsd:documentation></xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>
			<xsd:element name="ReasonCode" type="ecc:ReasonCodeType">
				<xsd:annotation>
					<xsd:documentation></xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="ReasonText" minOccurs="0" maxOccurs="1"
				type="ecc:ReasonTextType">
				<xsd:annotation>
					<xsd:documentation></xsd:documentation>
				</xsd:annotation>
			</xsd:element>
		</xsd:sequence>
	</xsd:complexType>
</xsd:schema>